﻿using UnityEngine;
using System.Collections;

public class BGScroller : MonoBehaviour 
{

	public float scrollSpeed;
	public float tileSizeZ;
	public bool habilitado = true;

	private Vector3 startPosition;

	void Start () 
	{
		startPosition = transform.position;
	}

	void Update ()
	{
		if ( habilitado )
		{
			float newPosition = Mathf.Repeat (Time.time * scrollSpeed, tileSizeZ );
			transform.position = startPosition + Vector3.left * newPosition;
		}
	}

	public void Reiniciar()
	{
		habilitado = true;
	}

	public void Parar ()
	{
		habilitado = false;
	}
}