﻿using UnityEngine;
using System.Collections;

public class CenarioController : MonoBehaviour
{
	public static CenarioController Instance
	{
		get
		{
			if (m_instance == null)
			{
				m_instance = GameObject.FindObjectOfType<CenarioController>();
				DontDestroyOnLoad(m_instance.gameObject);
			}

			return m_instance;
		}
	}

	static CenarioController m_instance;

	public void ReiniciarCenarios()
	{
		BroadcastMessage( "Reiniciar" );
	}

	public void PararCenario()
	{
		BroadcastMessage( "Parar" );
	}
}
