﻿using UnityEngine;
using System.Collections;

public class Inimigo : MonoBehaviour
{
	float fatorRotacao = 1f;
	bool parar = false;

	// Use this for initialization
	void Start ()
	{
		iTween.MoveTo( gameObject, iTween.Hash(
			"position", new Vector3( -10, gameObject.transform.position.y, gameObject.transform.position.z ),
			"time",  5f,
			"easetype", iTween.EaseType.linear
		));
	}

	void Update()
	{
		if ( !parar )
			transform.Rotate( new Vector3( 0, 0, transform.rotation.z + fatorRotacao ) );

		if ( transform.position.x < -10 )
		{
			Destroy( gameObject );
		}
			
	}

	public void PararInimigo()
	{
		//		parar = true;
		gameObject.tag = "Untagged";
		iTween.Stop( gameObject );
	}

	public void Limpar()
	{

		iTween.MoveTo( gameObject, iTween.Hash(
			"position", new Vector3( gameObject.transform.position.x - ( gameObject.transform.position.x + 20), gameObject.transform.position.y, gameObject.transform.position.z ),
			"time", 0.2f,
			"easetype", iTween.EaseType.linear
		) );
	}
}
