﻿using UnityEngine;
using System.Collections;

public class InimigoController : MonoBehaviour
{
	public static InimigoController Instance
	{
		get
		{
			if (m_instance == null)
			{
				m_instance = GameObject.FindObjectOfType<InimigoController>();
				DontDestroyOnLoad(m_instance.gameObject);
			}

			return m_instance;
		}
	}

	static InimigoController m_instance;

	public void LimparInimigos()
	{
		BroadcastMessage( "Limpar" );
	}

	public void PararInimigos()
	{
		BroadcastMessage( "PararInimigo" );
	}
}
